Subject: Re: bug#60859: [PATCH] Remove reference to the kbd function from documentation

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Jan 2023 19:32:34 +0200

> Cc: [email-masked]
> From: Panagiotis Koutsourakis <[email-masked]>
> Date: Tue, 17 Jan 2023 18:09:50 +0200
> 
> So, assuming that we want the documentation as a whole to be consistent,
> I see two ways forward: either we eliminate or reduce the importance of
> the old functions in the user manual, or we remove the effective
> deprecation of the old functions in the emacs lisp reference manual and
> expand on the use of 'kbd', 'global-set-key' and 'define-key'.
> 
> What do you think?

There's no need to generalize so much.  Let's handle this specific
issue, and then move on.

For now, I don't want to remove references to 'kbd' from the manual,
because many people still use it.  So please accept that as the
baseline, and let's find the best way to describe the new APIs as
well.